Add Assistant Tool
PUT
/
ai
/
assistants
/
{assistant_id}
/
tools
/
{tool_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.ai.assistants.tools.add('tool_id', { assistant_id: 'assistant_id' });
console.log(response);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.assistants.tools.add(
tool_id="tool_id",
assistant_id="assistant_id",
)
print(response)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Assistants.Tools.Add(
context.TODO(),
"tool_id",
telnyx.AIAssistantToolAddParams{
AssistantID: "assistant_id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.assistants.tools.ToolAddParams;
import com.telnyx.sdk.models.ai.assistants.tools.ToolAddResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ToolAddParams params = ToolAddParams.builder()
.assistantId("assistant_id")
.toolId("tool_id")
.build();
ToolAddResponse response = client.ai().assistants().tools().add(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.ai.assistants.tools.add("tool_id", assistant_id: "assistant_id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->ai->assistants->tools->add(
'tool_id', assistantID: 'assistant_id'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:assistants:tools add \
--api-key 'My API Key' \
--assistant-id assistant_id \
--tool-id tool_idcurl --request PUT \
--url https://api.telnyx.com/v2/ai/assistants/{assistant_id}/tools/{tool_id} \
--header 'Authorization: Bearer <token>'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.ai.assistants.tools.add('tool_id', { assistant_id: 'assistant_id' });
console.log(response);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.assistants.tools.add(
tool_id="tool_id",
assistant_id="assistant_id",
)
print(response)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Assistants.Tools.Add(
context.TODO(),
"tool_id",
telnyx.AIAssistantToolAddParams{
AssistantID: "assistant_id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.assistants.tools.ToolAddParams;
import com.telnyx.sdk.models.ai.assistants.tools.ToolAddResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ToolAddParams params = ToolAddParams.builder()
.assistantId("assistant_id")
.toolId("tool_id")
.build();
ToolAddResponse response = client.ai().assistants().tools().add(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.ai.assistants.tools.add("tool_id", assistant_id: "assistant_id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->ai->assistants->tools->add(
'tool_id', assistantID: 'assistant_id'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:assistants:tools add \
--api-key 'My API Key' \
--assistant-id assistant_id \
--tool-id tool_idcurl --request PUT \
--url https://api.telnyx.com/v2/ai/assistants/{assistant_id}/tools/{tool_id} \
--header 'Authorization: Bearer <token>'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}